openSUSE2021:0692-1: moderate: Security update for libxml2

openSUSE Security Update: Security update for libxml2 ______________________________________________________________________________
Announcement ID: openSUSE-SU-2021:0692-1 Rating: moderate References: #1185408 #1185409 #1185410 Cross-References: CVE-2021-3516 CVE-2021-3517 CVE-2021-3518
CVSS scores: CVE-2021-3516 (SUSE): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H CVE-2021-3517 (SUSE): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H CVE-2021-3518 (SUSE): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
Affected Products: openSUSE Leap 15.2 ______________________________________________________________________________
An update that fixes three vulnerabilities is now available.
Description:
This update for libxml2 fixes the following issues:
– CVE-2021-3518: Fixed a use after free in xinclude.c:xmlXIncludeDoProcess (bsc#1185408). – CVE-2021-3517: Fixed a heap based buffer overflow in entities.c:xmlEncodeEntitiesInternal (bsc#1185410). – CVE-2021-3516: Fixed a use after free in entities.c:xmlEncodeEntitiesInternal (bsc#1185409).
This update was imported from the SUSE:SLE-15:Update update project.
Patch Instructions:
To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”.
Alternatively you can run the command listed for your product:
– openSUSE Leap 15.2:
zypper in -t patch openSUSE-2021-692=1

Package List:
– openSUSE Leap 15.2 (i586 x86_64):
libxml2-2-2.9.7-lp152.10.9.1 libxml2-2-debuginfo-2.9.7-lp152.10.9.1 libxml2-debugsource-2.9.7-lp152.10.9.1 libxml2-devel-2.9.7-lp152.10.9.1 libxml2-tools-2.9.7-lp152.10.9.1 libxml2-tools-debuginfo-2.9.7-lp152.10.9.1 python-libxml2-python-debugsource-2.9.7-lp152.10.9.1 python2-libxml2-python-2.9.7-lp152.10.9.1 python2-libxml2-python-debuginfo-2.9.7-lp152.10.9.1 python3-libxml2-python-2.9.7-lp152.10.9.1 python3-libxml2-python-debuginfo-2.9.7-lp152.10.9.1
– openSUSE Leap 15.2 (x86_64):
libxml2-2-32bit-2.9.7-lp152.10.9.1 libxml2-2-32bit-debuginfo-2.9.7-lp152.10.9.1 libxml2-devel-32bit-2.9.7-lp152.10.9.1
– openSUSE Leap 15.2 (noarch):
libxml2-doc-2.9.7-lp152.10.9.1
References:
www.suse.com/security/cve/CVE-2021-3516.html www.suse.com/security/cve/CVE-2021-3517.html www.suse.com/security/cve/CVE-2021-3518.html bugzilla.suse.com/1185408 bugzilla.suse.com/1185409 bugzilla.suse.com/1185410